Mots de passe maîtres
Mettre à jour le mot de passe maître
Renomme un mot de passe maître sous le compte indiqué dans le chemin.
PATCH
/
v1
/
public
/
accounts
/
{account_id}
/
credentials
/
{credential_id}
Mettre à jour le mot de passe maître
curl --request PATCH \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials/{credential_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials/{credential_id}"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials/{credential_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "account",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorisations
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Corps
application/json
Requête pour renommer un mot de passe maître.
Nom d’affichage du mot de passe maître
Required string length:
1 - 100Réponse
Horodatage de création du mot de passe maître
UUID du mot de passe maître
Nom d’affichage du mot de passe maître
UUID de la ressource du périmètre du mot de passe maître
Type de périmètre de ressource où le mot de passe maître s’applique
Options disponibles:
account, workspace, domain Horodatage de dernière mise à jour du mot de passe maître
Cette page vous a-t-elle été utile ?
⌘I
Mettre à jour le mot de passe maître
